Kerbal Space Program - Bug #11955

Game crashes X Windows when starting

09/20/2016 11:25 AM - AmenRa

Status: Unity Bug Start date: 09/20/2016
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: Not Applicable Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

OS: Ubuntu 16.04.01 LTS (amd64)

KSP: 1.2 (1500) and 1.1.2+

This problem has been persistent since 1.1.2. It's now time to fix it.

The application appears to start without an issue when running in full screen mode. However, it crashes almost all the time when
starting in Windowed mode even when using command line parameters such as --force-gfx-directA and --force-glcore33

Related issues:

Related to Kerbal Space Program - Bug #11382: Bad resolution calls crash X wi... Unity Bug 09/14/2016

History

#1 - 09/20/2016 11:31 AM - AmenRa

from SYSLOG

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—) NVIDIA(GPU-0): CRT-0: disconnected

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--) NVIDIA(GPU-0): CRT-0: 400.0 MHz maximum pixel

clock

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—) NVIDIA (GPU-O0) :

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--) NVIDIA(GPU-0): ViewSonic VA2246 SERIES (DFP-0)
connected

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—) NVIDIA(GPU-0): ViewSonic VA2246 SERIES (DFP-0)
Internal TMDS

Sep 20 07:26:05 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--) NVIDIA(GPU-0): ViewSonic VA2246 SERIES (DFP-0)

330.0 MHz maximum pixel clock
330.0 MHz maximum pixel clock
gnome-session[24897]: (gnome-shell

Window System error.

gnome-session[24897]:
gnome-session[24897]:
gnome-session[24897]:

The error wa
(Details:

gnome-session[24897]:

gnome-session[24897]: that 1is,

gnome-session[24897]:

(==)

:24957) :

s 'BadAlloc
NVIDIA (GPU-0) :

NVIDIA (GPU-O0) :

NVIDIA (GPU-0) :

NVIDIA (GPU-O0) :

NVIDIA (GPU-O0) :

Gdk-WARNING

Gdk—-ERROR **:

normally,

DFP-1: disconnected

DFP-1: Internal TMDS

DFP-1: 165.0 MHz maximum pixel
ViewSonic VA2246 SERIES (DFP-2)
ViewSonic VA2246 SERIES (DFP-2)
ViewSonic VA2246 SERIES (DFP-2)
**: Native children wider or tal

The program 'gnome-shell' rece

This probably reflects a bug in the program.
(insufficient resources for operation)'.
serial 99115 error_code 11 request_code 12

(core prot

X errors are reported asynchron

you will receive the error a while after causing it.

To debug your program,

run it with the GDK_SYNCHRONIZE environ
Sep 20 07:26:06 eerlon gnome-session[24897]:

L

Sep 20 07:26:06 eerlon gnome-session[24897]:

function.)

Sep 20 07:26:06 eerlon kernel: [79217.088105]

7b0 error:0

Sep 20 07:26:06 eerlon gnome-session[24897]:

sktop' killed by signal 5

Sep 20 07:26:06 eerlon gnome-session-binary[24897]:

15

variable to change this behavior. You can then get a meaningfu

backtrace from your debugger if you break on the gdk_x_error ()

traps: gnome-shell[24957]

gnome-session-binary[24897]:

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

clock

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

connected

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

Internal TMDS

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—)

330.0 MHz maximum pixel clock

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

clock

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

connected

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)

Internal TMDS

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (-—)

330.0 MHz maximum pixel clock

Sep 20 07:26:06 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (--)
Sep 20 07:26:07 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (II)

select @1920x1080 +1920+0 {ViewPortIn=1920x1080,

Sep 20 07:26:07 eerlon /usr/lib/gdm3/gdm-x-session[24641]: (II)

select @1920x1080 +0+0 {ViewPortIn=1920x1080,
80 +1920+0 {ViewPortIn=1920x1080,
Sep 20 07:26:08 eerlon gnome-session[24897]:

ing on screen 0 on display
de 1

Sep 20 07:26:08 eerlon gnome-session[24897]:

espawning too quickly

Sep 20 07:26:08 eerlon gnome-session[24897]:

ale is dead. Sorry....

Sep 20 07:26:08 eerlon gnome-session-binary[24897]:

sktop

Sep 20 07:26:08 eerlon gnome-session-binary[24897]:
Sep 20 07:26:08 eerlon gnome-session-binary[24897]:
Sep 20 07:26:08 eerlon gnome-session-binary[24897]:
Sep 20 07:26:08 eerlon gnome-session[24897]:

=11

Sep 20 07:26:08 eerlon /usr/lib/gdm3/gdm-x-session[24641]:

terminated with status 1

#2 - 09/21/2016 08:01 PM - sal_vager

- Category changed from Application to 368
- Status changed from New to Unity Bug

- % Done changed from 0 to 100

':1".gnome-session-binary[24897]:

ViewPortOut=1920x1080+0+0},
ViewPortOut=1920x1080+0+0}"

WARNING: Application

NVIDIA (GPU-O0) :
NVIDIA (GPU-O0) :

NVIDIA (GPU-O0) :
NVIDIA (GPU-O0) :

NVIDIA (GPU-O0) :

NVIDIA (GPU-0) :

NVIDIA (GPU-0

NVIDIA (GPU-0

NVIDIA (GPU-0

NVIDIA (GPU-O0) :
NVIDIA (GPU-O0) :

NVIDIA (GPU-O0) :

NVIDIA (GPU-0) :

NVIDIA (GPU-O0) :

( )

( )
NVIDIA (GPU-0) :

( )

trap int3 ip:7£85b4bd5a6b sp:7ff£d4b497
WARNING: Application 'gnome-shell.de

'gnome-shell.desktop' killed by signa

CRT-0: disconnected

CRT-0: 400.0 MHz maximum pixel
ViewSonic VA2246 SERIES (DFP-0)
ViewSonic VA2246 SERIES (DFP-0)
ViewSonic VA2246 SERIES (DFP-0)
DFP-1: disconnected

DFP-1: Internal TMDS

DFP-1: 165.0 MHz maximum pixel
ViewSonic VA2246 SERIES (DFP-2)
ViewSonic VA2246 SERIES (DFP-2)

ViewSonic VA2246 SERIES (DFP-2)

NVIDIA (0) : Setting mode "DVI-D-0: nvidia-auto-

ViewPortOut=1920x1080+0+0}"

NVIDIA(0): Setting mode "DVI-I-1: nvidia-auto-

DVI-D-0: nvidia-auto-select @1920x10

Window manager error: Another compositing manager is already runn

gnome-session-binary[24897]:

gnome-session-binary[24897]:

WARNING: App 'gnome-shell.desktop' exited with co
WARNING: App 'gnome-shell.desktop' r
CRITICAL: We failed, but the fail wh
Unrecoverable failure in required component gnome-shell.de
WARNING: App 'gnome-shell.desktop' exited with code 1

WARNING: App 'gnome-shell.desktop' respawning too quickly
CRITICAL: We failed, but the fail whale is dead. Sorry....

ICE default IO error handler doing an exit (), pid = 25094, errno

upstart:

gnome-session (GNOME) main process (24897)

Hi AmenRa, thank you for the report, however this is a Unity3D engine issue and is not addressable by Squad.

Please see #11382 for more details.

#3 - 09/21/2016 08:01 PM - sal_vager

- Related to Bug #11382: Bad resolution calls crash X window manager. added

#4 - 03/20/2018 11:40 AM - Squelch

- Severity changed from Critical to Normal

04/19/2024
https://bugs.kerbalspaceprogram.com/issues/11382
http://www.tcpdf.org

